module.exports = {
  apps: [
    {
      name: 'ppt24-backend',
      script: '/var/www/ppt24.com/backend/src/server.js',
      env: {
        NODE_ENV: 'production',
        PORT: 5000,
        DB_PATH: '/var/www/ppt24.com/database/project_tracker.sqlite',
        JWT_SECRET: 'd6233502944a47dcb935f017696e53631115f017d14e21e18c7c7b63b4f83537',
        CORS_ORIGIN: 'https://ppt24.com',
      },
      instances: 1,
      exec_mode: 'fork',
      watch: false,
      max_memory_restart: '300M',
    }
  ]
};
